/****************************************************************************
** $Id: qt/src/kernel/qgfxqnxfb_qws.h   2.3.1   edited 2001-06-12 $Id$ $
**
** Definition of QQnxFb class
**
** Created : 010607
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of the kernel module of the Qt GUI Toolkit.
**
** This file may be distributed under the terms of the Q Public License
** as defined by Trolltech AS of Norway and appearing in the file
** LICENSE.QPL included in the packaging of this file.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding valid Qt Enterprise Edition or Qt Professional Edition
** licenses may use this file in accordance with the Qt Commercial License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about Qt Commercial License Agreements.
** See http://www.trolltech.com/qpl/ for QPL licensing information.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

//
//
//
//     NOTE: This file is under development, and does not yet offer any
//           useful functionality on any platform.
//
//           If you are interested in QNX support, please email us at
//           info@trolltech.com and explain in what way you would like
//           to use Qt with QNX.
//
//
//           In the meantime, Qt/X11 is reported to work with X11/QNX.
//

#ifndef QWSQNXFB
#define QWSQNXFB

#include <display.h>
#include <disputil.h>
#include <qgfxraster_qws.h>
#include <qgfx_qws.h>
#include <qpolygonscanner.h>
#include <qpen.h>
#include <qstring.h>

// Pixmap Gfx class
class QQnxPixmapGfx : public QGfxRaster {
public:
	QQnxPixmapGfx(){};
	~QQnxPixmapGfx(){};
	void blt (int, int, int, int, int, int) {};
	void setSource (const QPaintDevice * p) {};
}

// QnxFb Gfx class
class QQnxFbGfx : public QGfxRasterBase {
public:
	QQnxFbGfx(){};
	~QQnxFbGfx(){};

}

// Screen class
class QQnxScreen : public QScreen {
public:
	QQnxScreen(int display_id);
	~QQnxScreen();

	bool connect(const QString & spec);
	void disconnect();

	bool initDevice();
	void shutdownDevice();
	void setMode(int, int, int, bool );
	void setMode(int, int, int );

	void set(uint, uint, uint);

	QGfx* createGfx (unsigned char*, int, int, int, int);

private:
	void *dllHandle;
	
	// singleton graphics card handle
	disp_adapter_t adapter;
}

#endif
